package com.company.demo1.entity;

import com.company.demo1.common.CustomerType;
import io.jmix.core.metamodel.annotation.JmixEntity;

import javax.persistence.Entity;

@JmixEntity
@Entity(name = "demo1_Customer")
public class Customer extends AbstractClient<CustomerType> {

    @Override
    public CustomerType getType() {
        return type == null ? null : CustomerType.fromId(type);
    }

    @Override
    public void setType(CustomerType type) {
        this.type = type == null ? null : type.getId();
    }

}